package com.qmth.sop.business.bean.params;

import com.qmth.sop.common.base.BaseEntity;
import com.qmth.sop.common.enums.CrmStatusEnum;
import com.qmth.sop.common.enums.ServiceScopeEnum;
import com.qmth.sop.common.enums.SopStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: crmDetail参数
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/8/15
 */
public class TBCrmDetailParam extends BaseEntity implements Serializable {

    @ApiModelProperty(value = "派单号")
    @NotNull(message = "派单号不能为空")
    private String crmNo;

    @ApiModelProperty(value = "流程部署id")
    private String flowDeploymentId;

    @ApiModelProperty(value = "sop单号")
    private String sopNo;

    @ApiModelProperty(value = "状态，UN_PUBLISH：未发布，PUBLISH：发布")
    private CrmStatusEnum status;

    @ApiModelProperty(value = "科目名称")
    private String courseName;

    @ApiModelProperty(value = "考生人数")
    private Integer examStudentCount;

    @ApiModelProperty(value = "联系人")
    private String contacts;

    @ApiModelProperty(value = "电话")
    private String mobileNumber;

    @ApiModelProperty(value = "服务范围，SCAN：仅扫描，SCAN_MARK：扫描+阅卷，CLOUD_MARK：研究生阅卷")
    private ServiceScopeEnum serviceScope;

    @ApiModelProperty(value = "扫描开始时间")
    private Long scanStartTime;

    @ApiModelProperty(value = "扫描结束时间")
    private Long scanEndTime;

    @ApiModelProperty(value = "阅卷开始时间")
    private Long markPaperStartTime;

    @ApiModelProperty(value = "阅卷结束时间")
    private Long markPaperEndTime;

    @ApiModelProperty(value = "sop状态")
    String sopStatusStr;

    @ApiModelProperty(value = "状态，DRAFT：草稿，START：提交")
    private SopStatusEnum sopStatus;

    @ApiModelProperty(value = "发布时间")
    private Long publishTime;

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public String getFlowDeploymentId() {
        return flowDeploymentId;
    }

    public void setFlowDeploymentId(String flowDeploymentId) {
        this.flowDeploymentId = flowDeploymentId;
    }

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public CrmStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CrmStatusEnum status) {
        this.status = status;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getExamStudentCount() {
        return examStudentCount;
    }

    public void setExamStudentCount(Integer examStudentCount) {
        this.examStudentCount = examStudentCount;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public ServiceScopeEnum getServiceScope() {
        return serviceScope;
    }

    public void setServiceScope(ServiceScopeEnum serviceScope) {
        this.serviceScope = serviceScope;
    }

    public Long getScanStartTime() {
        return scanStartTime;
    }

    public void setScanStartTime(Long scanStartTime) {
        this.scanStartTime = scanStartTime;
    }

    public Long getScanEndTime() {
        return scanEndTime;
    }

    public void setScanEndTime(Long scanEndTime) {
        this.scanEndTime = scanEndTime;
    }

    public Long getMarkPaperStartTime() {
        return markPaperStartTime;
    }

    public void setMarkPaperStartTime(Long markPaperStartTime) {
        this.markPaperStartTime = markPaperStartTime;
    }

    public Long getMarkPaperEndTime() {
        return markPaperEndTime;
    }

    public void setMarkPaperEndTime(Long markPaperEndTime) {
        this.markPaperEndTime = markPaperEndTime;
    }

    public String getSopStatusStr() {
        return sopStatusStr;
    }

    public void setSopStatusStr(String sopStatusStr) {
        this.sopStatusStr = sopStatusStr;
    }

    public SopStatusEnum getSopStatus() {
        return sopStatus;
    }

    public void setSopStatus(SopStatusEnum sopStatus) {
        this.sopStatus = sopStatus;
    }

    public Long getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Long publishTime) {
        this.publishTime = publishTime;
    }
}
